org.yaml.snakeyaml.emitter

## Class Emitter

- java.lang.Object
- - org.yaml.snakeyaml.emitter.Emitter

All Implemented Interfaces:
  Emitable

    public final class Emitter
    extends Object
    implements Emitable

     Emitter expects events obeying the following grammar:
     stream ::= STREAM-START document* STREAM-END
     document ::= DOCUMENT-START node DOCUMENT-END
     node ::= SCALAR | sequence | mapping
     sequence ::= SEQUENCE-START node* SEQUENCE-END
     mapping ::= MAPPING-START (node node)* MAPPING-END

### Field Summary

Fields
`static int` `MAX_INDENT`
`static int` `MIN_INDENT`

### Constructor Summary

Constructors
Constructor and Description
`Emitter(Writer stream, DumperOptions opts)`

### Method Summary

Methods
`void` `emit(Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MIN_INDENT

    public static final int MIN_INDENT

See Also:
  Constant Field Values

#### MAX_INDENT

    public static final int MAX_INDENT

See Also:
  Constant Field Values

### Constructor Detail

#### Emitter

    public Emitter(Writer stream,
           DumperOptions opts)

### Method Detail

#### emit

    public void emit(Event event)
              throws IOException

Specified by:
  `emit` in interface `Emitable`
Throws:
  `IOException`